View Issue Details

IDProjectCategoryView StatusLast Update
0005230Talerwallet (WebExtensions)public2018-04-15 20:36
ReporterMarcello StanisciAssigned ToFlorian Dold 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.5 
Summary0005230: New /pay API is not respected.
DescriptionLooks like the wallet is a bit behind with the /pay API offered by the merchant backend. New fields like 'contribution' or 'mode' are missing.

Documented here:
https://docs.taler.net/api/api-merchant.html#depositpermission

Also, when trying to withdraw at "my" bank (link below), the wallet starts to actually
withdraw from the exchange only after it gets reloaded (via the 'reload chrome
extension' "debug button").

https://env.taler.net/mstan/bank
Steps To ReproduceBuy something at 'test'.
Additional InformationFull error dump, from the wallet:

{
 "contractTerms": {
  "H_wire": "B49QGXGBS9777SVX3194333F41GWQ2FWX6FXBT3WW1KPAZMWXVPS00ZSKRB93GP7RTNQ2NXNNPT8TW31RT85PW8B49ST46S742CKZ4G",
  "wire_method": "test",
  "summary": "Donation!",
  "nonce": "ATPC076DGTHFYTXX0ERWJB73NTFA2713ATG9X30SAJNAE3N22TN0",
  "amount": {
   "value": 6,
   "fraction": 0,
   "currency": "KUDOS-mstan"
  },
  "auditors": [],
  "pay_deadline": "/Date(1514568845)/",
  "max_fee": {
   "value": 1,
   "fraction": 0,
   "currency": "KUDOS-mstan"
  },
  "merchant": {
   "address": "nowhere",
   "instance": "GNUnet",
   "jurisdiction": "none",
   "name": "Kudos Inc."
  },
  "merchant_pub": "SDXJ02Z4EK7T4RXE9Y6QMCFRNSZ9PSKD8WZ5P9MKJGWB8GJJAYHG",
  "exchanges": [
   {
    "master_pub": "FH1Y8ZMHCTPQ0YFSZECDH8C9407JR3YN0MF1706PTG24Q4NEWGV0",
    "url": "https://env.taler.net/mstan/exchange/"
   }
  ],
  "products": [
   {
    "description": "Donation to GNUnet",
    "price": {
     "currency": "KUDOS-mstan",
     "fraction": 0,
     "value": 6
    },
    "product_id": 0,
    "quantity": 1
   }
  ],
  "refund_deadline": "/Date(0)/",
  "timestamp": "/Date(1514482445)/",
  "order_id": "donation-GNUnet-FE46D4CB-18_34_05",
  "pay_url": "https://env.taler.net/mstan/donations/pay",
  "fulfillment_url": "https://env.taler.net/mstan/donations/fulfillment?order_id=donation-GNUnet-FE46D4CB-18_34_05",
  "wire_fee_amortization": 1,
  "max_wire_fee": {
   "currency": "KUDOS-mstan",
   "fraction": 1000000,
   "value": 0
  }
 },
 "message": "Request failed with status code 400",
 "name": "pay-post-failed",
 "response": {
  "data": {
   "error": "parse error",
   "field": "contribution",
   "line": 1
  },
  "status": 400,
  "statusText": "BAD REQUEST",
  "headers": {
   "date": "Thu, 28 Dec 2017 17:34:07 GMT",
   "server": "nginx",
   "connection": "keep-alive",
   "content-length": "71",
   "content-type": "application/json"
  },
  "config": {
   "transformRequest": {},
   "transformResponse": {},
   "timeout": 5000,
   "xsrfCookieName": "XSRF-TOKEN",
   "xsrfHeaderName": "X-XSRF-TOKEN",
   "maxContentLength": -1,
   "headers": {
    "Accept": "application/json, text/plain, */*",
    "Content-Type": "application/json;charset=UTF-8"
   },
   "method": "post",
   "url": "https://env.taler.net/mstan/donations/pay",
   "data": "{\"coins\":[{\"coin_pub\":\"NRN6ZD7NXSMQVG7C8WDWK6JTW9WH3E0C3N4A54F706VQB62CF070\",\"coin_sig\":\"H5EZQJ1NW8H5245WSX824B9K4Q3X6SRQGQMG1E97W2C297G1M3963R606SKWMXXRXZ7JG39G098Y1JXZW9ZDN0HZS89HMFXFB8TXJ0R\",\"denom_pub\":\"51R7ARKCD5HJTTV5F4G0M818E9SP280A40G2GVH04CR30GSJ6WT4AE1G64T3AD1P70R4CHHN88T36D9J6S232GHQ6D344E9J70RM4E1K84VKCGSG8GSK8CSP6WT4CD238MRKADSH611KEC2284V36EA3612K6C9M84T3GGT285332CSR64WKCH246N342C1H6N0K4H9S6133JDHM8D0KJG9N8GT3EHHP8D1KJH1J88V3GCSN88VK8GSR88TK8DA68CT36GA384V3AH2374VK6HA38H1K2HA48S23GE1R6S2MACHP6D138D1S8GS4CG9Q6RTK6H1P64VM2C266RV36GJ184RM4DSJ6D2M2DT66GW44GSN74W3CCA170S32C9R6X0K0H9S752KAHA484WMAD246WR3AGSS8GRMAH9J60VK2GA571338C9R8RS44E2484W30DSN8H1KCD9H84W48GA360T3GHJ56X230E218MW3EE1P8N2KAHHM6CTKGGSH6GT30CT16GRMADSN8MSM6DA56CT48H9G64S34GSQ6RS3GGHH89248HHR60T3EGHR60S38C25712MCE2464SKEGHP6GW4ADT484RKADSP8S138CT360VK0DSP74S3EGHK7533CE1R88TM4GHN6CR3ADHP8CV44DHK68VKADHJ6CTKJG9G6S344CT48N13GH266WSKCCT565344DHJ750K4C9R68V32D1P6WS4ACSJ8MT44DJ588VM8HHH6GV36GHK60WKCDSH8GWK8HA269238H23891M6DSH75134EA48D23AG9H8CTKCHA170R30DJ38RV38DT68N13GGT58CS3JGA4652KCDSS4CMGM81051JJ08SG64R30C1H4CMGM81054520A8A00\",\"f\":{\"currency\":\"KUDOS-mstan\",\"fraction\":0,\"value\":2},\"ub_sig\":\"51SPJSSDESGPR80A40M74WV140520818ECG26CSJ6513ECHS6RWMCCSJ68SM4E1H8GVKEC9K8MVK6D1Q6H338HHS84TKGCT46X0KEE1H68V3ED1K8CS38D9M64VMCCA16WWMCE1Q6GT34H246CSMAGSS75246C9M74R3CE1P8N1KCE1R6MWKEGA28CT36HHR69230DT66RSKCH9K70WK0CHR8RSK8E1R6GS44HA66CW34GA484R48C1M64T3CDA174R38E2460V3CE1Q6RTKJGT66CS48E1G8RW4CD236WV3CCT585134C2668T44HJ46WT34CSP6RWK4DHQ6N13CE1K60V3CDJ3891M6CHN6WRK6D9N6N1K8H1P7533JC1G6D142DJ369148CSS69336HA36N14CH9H8CS4ADHK70R30D1P8MV3GC9H8RT30C2468T3CGSH8S0M8D9R8GSKGCSJ6MS32G9M8MS30E1R64SMCDHK8N346DJ36WRKGGHH68WK8CA36N13EGSR8GRK6E9N691K6H1K84WM4DA38RT3CC216CWK4CSP8S1MCE228H2KEDJ475336HHM6MWM8D2288T3GGSP8MTKJC9J6GVKJGSH6WT4AC1R65244E1M8N2M6D9G6H23CEA470T4CD21750KAH1S64WKCCA2750K8G9H8MS34HA68MTK8H9N8CV4CD1M6CR3GH1Q8S232DJ46RSK0DA1692K8DSG64T4CHA370WM6HA56H342GSS65248HHN8MS38DT58GR30CHN74RKGGSJ6RRK0G9R6N24AGT470SK6HJ38CT44GSP6MW3AD1J8S2KJC9H85344GSM4CMGM81054520A8A00\"},{\"coin_pub\":\"PEDHB0EA6QNWNYG6QQTZFNM9PM64ZVB3Q9X8QFA4H50ZH6YNHV7G\",\"coin_sig\":\"3T5D3XH87XR7Y52EB21WW9ZJQWAH6QAT4S932CTH2F9NMCVV8KXXWGN220VXBB43N0C9JTH48MER0JG5DGSCTM9T30NDDCH69J7GC28\",\"denom_pub\":\"51R7ARKCD5HJTTV5F4G0M818E9SP280A40G2GVH04CR30GSJ6WT4AE1G64T3AD1P70R4CHHN88T36D9J6S232GHQ6D344E9J70RM4E1K84VKCGSG8GSK8CSP6WT4CD238MRKADSH611KEC2284V36EA3612K6C9M84T3GGT285332CSR64WKCH246N342C1H6N0K4H9S6133JDHM8D0KJG9N8GT3EHHP8D1KJH1J88V3GCSN88VK8GSR88TK8DA68CT36GA384V3AH2374VK6HA38H1K2HA48S23GE1R6S2MACHP6D138D1S8GS4CG9Q6RTK6H1P64VM2C266RV36GJ184RM4DSJ6D2M2DT66GW44GSN74W3CCA170S32C9R6X0K0H9S752KAHA484WMAD246WR3AGSS8GRMAH9J60VK2GA571338C9R8RS44E2484W30DSN8H1KCD9H84W48GA360T3GHJ56X230E218MW3EE1P8N2KAHHM6CTKGGSH6GT30CT16GRMADSN8MSM6DA56CT48H9G64S34GSQ6RS3GGHH89248HHR60T3EGHR60S38C25712MCE2464SKEGHP6GW4ADT484RKADSP8S138CT360VK0DSP74S3EGHK7533CE1R88TM4GHN6CR3ADHP8CV44DHK68VKADHJ6CTKJG9G6S344CT48N13GH266WSKCCT565344DHJ750K4C9R68V32D1P6WS4ACSJ8MT44DJ588VM8HHH6GV36GHK60WKCDSH8GWK8HA269238H23891M6DSH75134EA48D23AG9H8CTKCHA170R30DJ38RV38DT68N13GGT58CS3JGA4652KCDSS4CMGM81051JJ08SG64R30C1H4CMGM81054520A8A00\",\"f\":{\"currency\":\"KUDOS-mstan\",\"fraction\":0,\"value\":2},\"ub_sig\":\"51SPJSSDESGPR80A40M74WV140520818ECG26CJ16MVK8CT28D33JCSJ6CWKGC9R6GS3AEA38RR4ADJ364VK0D2574TM4H2364TK4CHH6MV38GHH88VKGH9M8S0K8HHG8CS44C1H890M8GSN6MTK8C9H74RM8EA16D1M8CT164WK4CHP8RTK2CSG60WKEGHJ8D346C9N88VK2GSQ6GT3GCA584V3EDJ46CWK6CA384V44E236H130CJ66WTK8D9Q8CWK2D9N851K6CHN6H1K2CHK8RT4ACSM6RS3CEA174V46C9S8S33CHHK8S1MAD26690MAE216WWKGG9K6CW3CCHS64TK6DSH6WS3GDA464W30G9H651M8H1P6D236D236WR4CHA18CWM2HJ16H2K2DT684VM4DSH6H330CSG6GV3CDSM6GW3CDA584SMAHJ2712K8EA18D0KJHHH60T34CJ38S23AEA48GT48E1J710K2C1M8D23AH9J8MR4CC2170T30C2174R38DSH6WRKGCSQ6S1KAH216GRM6HA268T4AE9M68V36E9S6MSK2EA26X2MAH228S2KEDHS750KCGA364R42C9G6RT3JD1N8N0KJH9J70S44DA28N2KAE238CW3AHHM6RSM2C238GWM2CHP69344GT3890K0DHH6MWK0G9S60RK2CHG6GVK2GT57113AGJ664TKACSM88WKEC266RWKGCSM60S30GJ36N0MCHHJ6CW34E9H8N1KCGSR8H2KGDT66GSM8E1N6N23CEA68RW44C1K8H2KEDT38MR3CCA468SM6GJ66GWMCE9N6D33AC9S6N148CA374WK8DHM4CMGM81054520A8A00\"},{\"coin_pub\":\"PZFBH70QNW61TMAW695HXDHKSPW5JQ5YTEPH0RRK0D487DMNC79G\",\"coin_sig\":\"AGKVXRWYFK04V2731Z1TCXYRGVZBAY604MXT7DMA2VS1VNRAF536AGJM5GTZVAGSXPQGW07VM2E6K7ZK8GFYZE1N99NZ9M02DEBJG2R\",\"denom_pub\":\"51R7ARKCD5HJTTV5F4G0M818E9SP280A40G2GVH04CR30GSJ6WT4AE1G64T3AD1P70R4CHHN88T36D9J6S232GHQ6D344E9J70RM4E1K84VKCGSG8GSK8CSP6WT4CD238MRKADSH611KEC2284V36EA3612K6C9M84T3GGT285332CSR64WKCH246N342C1H6N0K4H9S6133JDHM8D0KJG9N8GT3EHHP8D1KJH1J88V3GCSN88VK8GSR88TK8DA68CT36GA384V3AH2374VK6HA38H1K2HA48S23GE1R6S2MACHP6D138D1S8GS4CG9Q6RTK6H1P64VM2C266RV36GJ184RM4DSJ6D2M2DT66GW44GSN74W3CCA170S32C9R6X0K0H9S752KAHA484WMAD246WR3AGSS8GRMAH9J60VK2GA571338C9R8RS44E2484W30DSN8H1KCD9H84W48GA360T3GHJ56X230E218MW3EE1P8N2KAHHM6CTKGGSH6GT30CT16GRMADSN8MSM6DA56CT48H9G64S34GSQ6RS3GGHH89248HHR60T3EGHR60S38C25712MCE2464SKEGHP6GW4ADT484RKADSP8S138CT360VK0DSP74S3EGHK7533CE1R88TM4GHN6CR3ADHP8CV44DHK68VKADHJ6CTKJG9G6S344CT48N13GH266WSKCCT565344DHJ750K4C9R68V32D1P6WS4ACSJ8MT44DJ588VM8HHH6GV36GHK60WKCDSH8GWK8HA269238H23891M6DSH75134EA48D23AG9H8CTKCHA170R30DJ38RV38DT68N13GGT58CS3JGA4652KCDSS4CMGM81051JJ08SG64R30C1H4CMGM81054520A8A00\",\"f\":{\"currency\":\"KUDOS-mstan\",\"fraction\":0,\"value\":2},\"ub_sig\":\"51SPJSSDESGPR80A40M74WV140520818ECG26CHM8CRKJE9R60T36C9H6RRK8E9N750KCH1P6GRK8DJ264V3EDHG6N2K4G9R60SMAC9S8H348GHJ8H148GSJ8913ADHK68RMCDJ16CTK4EA58MSKAE1P891KCD1J712KCCSN64SKCDT460R38HHJ8H1M6D2388WK0GSK84TM8HA66WWK4H1R6D2K0E9H8MW38C1Q64T48E216X2K4D9K6WW4ACSK64TKEC2368R46C1K6WT3JE9R6WVK6DSQ852M2HA56N1KGGA48MR46E1H6GSKGD9J6N2MCH1R8S238E9Q711K8H9P8CWK0GHK6S0M8E9J75234D9R6CV4AD9Q8GR30H218MTK0GHM6MTK8C9Q6GS4ACSH8GR4CGT36CRM6DA284SK6G9R6513GD9H850K8C1N68V4ADSP752M2G9J8RSM6HHN8RV3JGT18N0KCDJ56S2K6D1N74WK6HJ470T36EA474SK2E238S342CSS84TKGD1Q6D2M2DSG60WK4DHK6RVKJG9K712MAE9H8523JC9P6MWK0EA26WRK6DHM6N332D9G84V48DHM6RS42G9P6914CD9S6D136G9P8D33AC9H6GVK2D1M8MS46C1S892K2D9Q60R3GDSN6WW42DJ68GS32HJ58S0M6C1P6X23ECSQ8N144H1J6RTK8E1S6N248CJ370TKCGJ369142CA38RT32C9P6S23JD1J8N0KJCT16WT44C1H6D1KAG9R6GW3GGHN6CTK6GA588TK4CT48GS44CSG70RKGE1J8GSKJDT16H2KCC1K8MTM6H9N8S1KADA34CMGM81054520A8A00\"}],\"exchange\":\"https://env.taler.net/mstan/exchange/\",\"merchant_pub\":\"SDXJ02Z4EK7T4RXE9Y6QMCFRNSZ9PSKD8WZ5P9MKJGWB8GJJAYHG\",\"order_id\":\"donation-GNUnet-FE46D4CB-18_34_05\"}"
  },
  "request": {}
 }
}
TagsNo tags attached.

Activities

Florian Dold

2018-01-01 18:57

manager   ~0012710

Should be fixed in 0b1c78b586440.

I wasn't able to test it, because the bank is currently not in a fully working state on test.

Issue History

Date Modified Username Field Change
2017-12-28 18:41 Marcello Stanisci New Issue
2017-12-28 18:41 Marcello Stanisci Status new => assigned
2017-12-28 18:41 Marcello Stanisci Assigned To => Florian Dold
2018-01-01 18:57 Florian Dold Status assigned => resolved
2018-01-01 18:57 Florian Dold Resolution open => fixed
2018-01-01 18:57 Florian Dold Note Added: 0012710
2018-04-15 20:35 Christian Grothoff Fixed in Version => 0.5
2018-04-15 20:36 Christian Grothoff Status resolved => closed